Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.rdbmdl
Interface NamedElement

All Superinterfaces:
  org.eclipse.emf.cdo.CDOObject, org.eclipse.emf.cdo.common.id.CDOWithID, Element, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  Column, Model, NamedColumnSet, Schema, SchemaElement, Table, TableColumn

    public interface NamedElement

extends Element

A representation of the model object 'Named Element'.

The following features are supported:

- `Uid`
- `Name`

See Also:
  `RdbmdlPackage.getNamedElement()`

Method Summary
`java.lang.String` | `getName()` Returns the value of the 'Name' attribute
`java.lang.String` | `getUid()` Returns the value of the 'Uid' attribute
`void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
`void` | `setUid(java.lang.String value)` Sets the value of the '`Uid`' attribute

Methods inherited from interface it.csi.mddtools.rdbmdl.Element
`getParent, setParent`

Methods inherited from interface org.eclipse.emf.cdo.CDOObject
`cdoConflict, cdoDirectResource, cdoID, cdoInvalid, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoState, cdoView, cdoWriteLock`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getUid

    java.lang.String getUid()

  Returns the value of the 'Uid' attribute.

  If the meaning of the 'Uid' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Uid' attribute.
  See Also:
    `setUid(String)`, `RdbmdlPackage.getNamedElement_Uid()`

### setUid

    void setUid(java.lang.String value)

  Sets the value of the '`Uid`' attribute.

  Parameters:
    `value` - the new value of the 'Uid' attribute.
  See Also:
    `getUid()`

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `RdbmdlPackage.getNamedElement_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD